Subject: Re: [RFC] Add a suffix option to git-format-patch

From: David Kågedal <[email-masked]>
Date: Wed, 17 Jan 2007 19:15:08 +0100

Junio C Hamano <[email-masked]> writes:

> Emacs wanted to go into its "diff" mode when files are named with
> .patch suffix, 

This is probably the primary reason why I *want* it to be .patch.  The
diff-mode in Emacs is really useful, and read-write mode is only a C-x
C-q away.

> which had two annoyances (read-only by default, and
> editing patch tried to automatically recount diff and its recounting
> screwed up in some cases I do not remember the details about).

I rarely edit patches, but it has worked for me.

-- 
David Kågedal